rte_port_in_action_fltr_config(3)

NAME
rte_port_in_action_fltr_config

SYNOPSIS

#include <rte_port_in_action.h>

  Data Fields

uint32_t key_offset
uint8_t key_mask [RTE_PORT_IN_ACTION_FLTR_KEY_SIZE]
uint8_t key [RTE_PORT_IN_ACTION_FLTR_KEY_SIZE]
int filter_on_match
uint32_t port_id

Detailed Description

Filter action configuration (per action profile).

Definition at line 76 of file rte_port_in_action.h.

Field Documentation

  uint32_t key_offset
Key offset within the input packet buffer. Offset 0 points to the first byte of the MBUF structure.

Definition at line 80 of file rte_port_in_action.h.

  uint8_t key_mask[RTE_PORT_IN_ACTION_FLTR_KEY_SIZE]
Key mask.

Definition at line 83 of file rte_port_in_action.h.

  uint8_t key[RTE_PORT_IN_ACTION_FLTR_KEY_SIZE]
Key value.

Definition at line 86 of file rte_port_in_action.h.

  int filter_on_match
When non-zero, all the input packets that match the key (with the key_mask applied) are sent to the pipeline output port port_id. When zero, all the input packets that do NOT match the key (with key_mask applied) are sent to the pipeline output port port_id.

Definition at line 93 of file rte_port_in_action.h.

  uint32_t port_id
Pipeline output port ID to send the filtered input packets to. Can be updated later.

See also
    struct rte_port_in_action_fltr_params

Definition at line 100 of file rte_port_in_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.